//Global variable definition
bool buttonState = 0;

//Allowing input from button and communication to Serial Monitor
void setup() {
  pinMode(27, INPUT);
  Serial.begin(9600);
}

void loop() {
  bool buttonPressed = digitalRead(27);
  if (buttonState != buttonPressed) { //Checks if the current set button state conflicts with if the button is being pressed
    //Sends a message saying the button has been pressed once it is initially pressed down
    if (buttonState == 0) {
      Serial.print("The button was pressed.");
    }
    buttonState = !buttonState; //Flips the value of buttonState
  }
}
